Package oracle.jdbc

## Interface LogicalTransactionIdEventListener

All Superinterfaces:
  `java.util.EventListener`

    public interface LogicalTransactionIdEventListener
    extends java.util.EventListener

A class that is interested in processing Logical Transaction Id events must implement this interface. A listener instance is registered using one of the `OracleConnection.addLogicalTransactionIdEventListener` flavors.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onLogicalTransactionIdEvent​(LogicalTransactionIdEvent event)` This method is executed whenever the server sends a new Logical Transaction Id event.

### Method Detail

#### onLogicalTransactionIdEvent

    void onLogicalTransactionIdEvent​(LogicalTransactionIdEvent event)

This method is executed whenever the server sends a new Logical Transaction Id event.